%define	name	ntfsprogs
%define	version	1.11.2
%define release	1mdk

%define lib_name_orig	libntfs
%define lib_major	7
%define lib_name	%mklibname ntfs %{lib_major}

Summary:	NTFS filesystem libraries and utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/linux-ntfs/%{name}-%{version}.tar.bz2
Patch1:		ntfsprogs-1.9.1-display-min-size-in-KiB.patch.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://linux-ntfs.sourceforge.net/

%description
The Linux-NTFS project aims to bring full support for the NTFS filesystem to
the Linux operating system. Linux-NTFS currently consists of a static library
and utilities. This package contains the following utilities:

ntfscat: concatenate files and print them on the standard output

ntfsclone: efficiently clone an NTFS filesystem

ntfscluster: identify files in a specified region of an NTFS volume

mkntfs: format a partition with the NTFS filesystem

ntfsfix: tool for fixing NTFS partitions altered by the Linux kernel NTFS
         driver

ntfsinfo: dump a file's attributes

ntfslabel: display/change the label on an ntfs file system

ntfsls: list directory contents on an NTFS file system

ntfsresize: resize an NTFS filesystem

ntfsundelete: recover a deleted file from an NTFS volume

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{lib_name}-devel
Summary:	Header files and libraries for developing apps which will use %{lib_name_orig}
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Conflicts:	%{mklibname ntfs 5}-devel

%description -n	%{lib_name}-devel
The %{lib_name_orig}-devel package contains the header files and libraries needed
to develop programs that use the %{lib_name_orig}

Install the %{lib_name_orig}-devel package if you want to develop applications that
will use the %{lib_name_orig} library.

%package	gnomevfs
Summary:	NTFS GNOME virtual filesystem module
Group:		System/Libraries
Requires:	ntfsprogs = %{version}-%{release}
BuildRequires:	glib2-devel gnome-vfs2-devel
Requires:	glib2 gnome-vfs2
Conflicts:	ntfsprogs < 1.11.0-3mdk

%description	gnomevfs
This package contains the NTFS GNOME virtual filesystem (VFS) module which
allows GNOME VFS clients to seamlessly utilize the NTFS library.

%prep
%setup -q
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL NEWS README TODO.include doc/attribute_definitions doc/attributes.txt doc/compression.txt doc/system_files.txt doc/system_security_descriptors.txt doc/template.c doc/template.h doc/tunable_settings 
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/*/*
%exclude %{_mandir}/man8/libntfs-gnomevfs.8*

%files gnomevfs
%defattr(-,root,root)
%{_mandir}/man8/libntfs-gnomevfs.8*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*so*
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/libntfs.conf

%files -n %{lib_name}
%defattr(-,root,root)
%doc CREDITS
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/CodingStyle
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*a*

%changelog
* Tue Aug 23 2005 Stew Benedict <sbenedict@mandriva.com> 1.11.2-1mdk
- 1.11.2
- use %%mklibname for conflicts

* Tue Aug 23 2005 Stew Benedict <sbenedict@mandriva.com> 1.11.0-4mdk
- conflicts for upgrades

* Tue Aug 23 2005 Stew Benedict <sbenedict@mandriva.com> 1.11.0-3mdk
- fix man8/libntfs-gnomevfs.8 in multiple packages

* Mon Jul 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11.0-2mdk
- fix major

* Fri Jul 22 2005 Erwan Velu <velu@seanodes.com> 1.11.0-1mdk
- 1.11.0

* Wed Jan 26 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9.4-1mdk
- 1.9.4
- drop useless prefix
- cosmetics

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.1-1mdk
- new release
- drop patch 2 (merged upstream)

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.4-1mdk
- new release
- fix build

* Wed Dec 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-1mdk
- new release
- new gnomevfs subpackage
- update description for new tools
- rediff patch 2

* Sat Aug 16 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7.1-3mdk
- Patch2: Nuke unnamed structs & unions, multine string literals

* Mon Feb 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7.1-2mdk
- fix description

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7.1-1mdk
- new release:
  o support resizing volumes with multiply extents in $Bitmap metadata
    (help FAT->NTFS, XP->XP SP1 upgrades)
  o serious fixes in libntfs
  o minor usability/functionality enhancements
  o urgent bug fixes

* Thu Jan 30 2003 Pixel <pixel@mandrakesoft.com> 1.7.0-0.3mdk
- better patch displaying min size (thanks to Szakacsits Szabolcs)

* Wed Jan 29 2003 Pixel <pixel@mandrakesoft.com> 1.7.0-0.2mdk
- add patch to display-min-size-in-KiB
- add patch to allow-KiB-syntax (Ki for 1024, K for 1000)

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7.0-0.1mdk
- new release that support ntfs resizing :-)
- remove patch 0 (similar fix already merged upstream)
- add compression doc
- remove non existant doc

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.0-2mdk
- rebuild for new glibc/rpm

* Sat Aug 24 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.6.0-1mdk
- Version 1.6.0
- Removed COPYING from docs, not needed due to common-licenses
- use %%configure2_5x

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.4.0-2mdk
- Patch0: fix alpha build for lack of atomic_inc_and_test

* Wed Nov 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4.0-1mdk
- First version.
